{"swagger":"2.0","info":{"version":"v1","title":"SiteDocs Public Rest Api"},"host":"api-1.sitedocs.com","schemes":["https"],"paths":{"/api/v1/attachments/content":{"get":{"tags":["Attachments"],"summary":"Get the Content Of Attachment.","operationId":"Attachments_Get","consumes":[],"produces":["image/jpeg","image/png","application/pdf"],"parameters":[{"name":"attachmentId","in":"query","description":"Attachment Id","required":true,"type":"string","format":"uuid"},{"name":"domainObjectId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"kind","in":"query","required":true,"type":"string","enum":["Contractor","Equipment","Incident","Worker","Project","FormType","Resource","ProcessRun"]},{"name":"fileName","in":"query","required":true,"type":"string"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/AttachmentViewModel"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/attachments/domainObject/{domainObjectId}":{"get":{"tags":["Attachments"],"summary":"Fetch a List of Attachment by DomainObjectId.","operationId":"Attachments_GetByDomainObjectId","consumes":[],"produces":["application/json"],"parameters":[{"name":"domainObjectId","in":"path","description":"Domain Object Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/AttachmentViewModel"}}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/attachments":{"post":{"tags":["Attachments"],"summary":"Set Attachment to DomainObjectId.","description":"Kind Values:\r\n\r\n    0: Contractor ( Company )\r\n    1: Equipment\r\n    2: Incident\r\n    3: Worker\r\n    4: Project ( Location )\r\n    5: FormType\r\n    6: Resource\r\n    7: ProcessRun","operationId":"Attachments_SetAttachment","consumes":["multipart/form-data"],"produces":["application/json"],"parameters":[{"name":"domainObjectId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"kind","in":"query","required":true,"type":"string","enum":["Contractor","Equipment","Incident","Worker","Project","FormType","Resource","ProcessRun"]},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"},{"name":"attachment","in":"formData","description":"Upload File","required":true,"type":"file"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"delete":{"tags":["Attachments"],"summary":"Delete the Attachment","description":"Kind Values:\r\n\r\n    0: Contractor ( Company )\r\n    1: Equipment\r\n    2: Incident\r\n    3: Worker\r\n    4: Project ( Location )\r\n    5: FormType\r\n    6: Resource\r\n    7: ProcessRun","operationId":"Attachments_Delete","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"A model containing the details of attachment","required":true,"schema":{"$ref":"#/definitions/DeleteAttachmentViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"patch":{"tags":["Attachments"],"summary":"Update the Attachment Information.","description":"Kind Values:\r\n\r\n    0: Contractor ( Company )\r\n    1: Equipment\r\n    2: Incident\r\n    3: Worker\r\n    4: Project ( Location )\r\n    5: FormType\r\n    6: Resource\r\n    7: ProcessRun\r\n                \r\n<b>EffectiveOn And ExpiryOn are optional fields.</b>\r\n            \r\nUse NULL to skip and \\\"clear\\\" to remove","operationId":"Attachments_Modify","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"A model containing the details of attachment","required":true,"schema":{"$ref":"#/definitions/ModifyAttachmentViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/attachments/changeType":{"put":{"tags":["Attachments"],"summary":"Change Type Of Attachment","operationId":"Attachments_ChangeType","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"A model containing the Attachment Id and Attachment Type Id","required":true,"schema":{"$ref":"#/definitions/ChangeTypeAttachmenttViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/attachmentTypes/{attachmentTypeId}":{"get":{"tags":["AttachmentTypes"],"summary":"Fetch a attachment type by id.","operationId":"AttachmentTypes_Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"attachmentTypeId","in":"path","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/AttachmentTypeViewModel"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/attachmentTypes":{"get":{"tags":["AttachmentTypes"],"summary":"Search attachment types using the specified criteria.","operationId":"AttachmentTypes_GetAll","consumes":[],"produces":["application/json"],"parameters":[{"name":"name","in":"query","description":"Search for attachment types with the specified name","required":false,"type":"string"},{"name":"isActive","in":"query","required":false,"type":"boolean"},{"name":"page","in":"query","description":"The page number to fetch. The number of rows from the top of the result-set that will be skipped is calculated as follows: rows to skip = page * count","required":false,"type":"integer","format":"int32"},{"name":"count","in":"query","description":"The number of rows to returns. This parameter is 30 rows by default and the max value allowed is 100 rows per page","required":false,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/AttachmentTypeViewModel"}}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"put":{"tags":["AttachmentTypes"],"summary":"Update a attachment type.","operationId":"AttachmentTypes_Put","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"attachmentType","in":"body","description":"Attachment type details","required":true,"schema":{"$ref":"#/definitions/PutAttachmentTypeViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"post":{"tags":["AttachmentTypes"],"summary":"Create a new attachment type.","operationId":"AttachmentTypes_Post","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"attachmentType","in":"body","description":"New attachment type details","required":true,"schema":{"$ref":"#/definitions/PostAttachmentTypeViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"delete":{"tags":["AttachmentTypes"],"summary":"Delete a attachment type.","operationId":"AttachmentTypes_Delete","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"attachmentType","in":"body","description":"Id of attachment type to delete","required":true,"schema":{"$ref":"#/definitions/DeleteAttachmentTypeViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"412":{"description":"Company Type Still in Use","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/blobs/{blobId}":{"get":{"tags":["Blobs"],"summary":"Get company blob by id.","operationId":"Blobs_Get","consumes":[],"produces":["image/jpeg"],"parameters":[{"name":"blobId","in":"path","description":"Blob Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/certifications/{certificationId}":{"get":{"tags":["Certifications"],"summary":"Fetch a certification by id.","operationId":"Certifications_Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"certificationId","in":"path","description":"Certification Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CertificationViewModel"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/certifications":{"get":{"tags":["Certifications"],"summary":"Search certifications using the specified criteria.","operationId":"Certifications_GetAll","consumes":[],"produces":["application/json"],"parameters":[{"name":"workerId","in":"query","description":"Search certifications for a particular worker","required":false,"type":"string","format":"uuid"},{"name":"certificationTypeId","in":"query","description":"Search certifications of a specific certification type","required":false,"type":"string","format":"uuid"},{"name":"issuer","in":"query","description":"Search certifications by issuer","required":false,"type":"string"},{"name":"expired","in":"query","description":"Search expired certifications","required":false,"type":"boolean"},{"name":"hasExpiryDate","in":"query","description":"Search certification with or without expiryDate","required":false,"type":"boolean"},{"name":"daysLeftForExpiry","in":"query","description":"Search certifications with expiry date within the specified number of days","required":false,"type":"integer","format":"int32"},{"name":"attachmentId","in":"query","required":false,"type":"string","format":"uuid"},{"name":"filename","in":"query","required":false,"type":"string"},{"name":"mimeType","in":"query","required":false,"type":"string"},{"name":"page","in":"query","description":"The page number to fetch. The number of rows from the top of the result-set that will be skipped is calculated as follows: rows to skip = page * count","required":false,"type":"integer","format":"int32"},{"name":"count","in":"query","description":"The number of rows to returns. This parameter is 30 rows by default and the max value allowed is 100 rows per page","required":false,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/CertificationViewModel"}}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"put":{"tags":["Certifications"],"summary":"Update an existing certification.","description":"With Expiry Date:\r\n            \r\n    PUT /certifications\r\n    {\r\n        \"Id\": \"00000000-0000-0000-0000-000000000000\",\r\n        \"CertificationTypeId\": \"00000000-0000-0000-0000-000000000000\",\r\n        \"Issuer\": \"string\",\r\n        \"Ticket\": \"string\",\r\n        \"WorkerId\": \"00000000-0000-0000-0000-000000000000\",\r\n        \"Acquired\": \"2023-11-29T12:10:59.078Z\",\r\n        \"Expires\": \"2023-11-29T12:10:59.078Z\"\r\n     }\r\n            \r\nWithout Expiry Date:\r\n            \r\n    PUT /certifications\r\n    {\r\n        \"Id\": \"00000000-0000-0000-0000-000000000000\",\r\n        \"CertificationTypeId\": \"00000000-0000-0000-0000-000000000000\",\r\n        \"Issuer\": \"string\",\r\n        \"Ticket\": \"string\",\r\n        \"WorkerId\": \"00000000-0000-0000-0000-000000000000\",\r\n        \"Acquired\": \"2023-11-29T12:10:59.078Z\"\r\n     }","operationId":"Certifications_Put","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"certification","in":"body","description":"Updated certification details","required":true,"schema":{"$ref":"#/definitions/EditCertificationViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"post":{"tags":["Certifications"],"summary":"Create a new certification.","description":"With Expiry Date:\r\n            \r\n    POST /certifications\r\n    {\r\n        \"CertificationTypeId\": \"00000000-0000-0000-0000-000000000000\",\r\n        \"Issuer\": \"string\",\r\n        \"Ticket\": \"string\",\r\n        \"WorkerId\": \"00000000-0000-0000-0000-000000000000\",\r\n        \"Acquired\": \"2023-11-29T12:10:59.078Z\",\r\n        \"Expires\": \"2023-11-29T12:10:59.078Z\"\r\n     }\r\n            \r\nWithout Expiry Date:\r\n            \r\n    GET /certifications\r\n    {\r\n        \"CertificationTypeId\": \"00000000-0000-0000-0000-000000000000\",\r\n        \"Issuer\": \"string\",\r\n        \"Ticket\": \"string\",\r\n        \"WorkerId\": \"00000000-0000-0000-0000-000000000000\",\r\n        \"Acquired\": \"2023-11-29T12:10:59.078Z\"\r\n     }","operationId":"Certifications_Post","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"certification","in":"body","description":"New certification details","required":true,"schema":{"$ref":"#/definitions/CreateCertificationViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"delete":{"tags":["Certifications"],"summary":"Delete the specified certification.","operationId":"Certifications_Delete","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"certification","in":"body","description":"A model containing the details of the certification to delete","required":true,"schema":{"$ref":"#/definitions/DeleteCertificationViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"patch":{"tags":["Certifications"],"summary":"Patch an existing certification.","description":"Any Field Including Expiry Date:\r\n            \r\n    PATCH /certifications\r\n    {\r\n        \"Id\": \"00000000-0000-0000-0000-000000000000\",\r\n        \"CertificationTypeId\": \"00000000-0000-0000-0000-000000000000\",\r\n        \"Issuer\": \"string\",\r\n        \"Ticket\": \"string\",\r\n        \"WorkerId\": \"00000000-0000-0000-0000-000000000000\",\r\n        \"Acquired\": \"2023-11-29T12:10:59.078Z\",\r\n        \"Expires\": \"2023-11-29T12:10:59.078Z\"\r\n     }\r\n            \r\nSet no Expiry Date:\r\n            \r\n    PATCH /certifications\r\n    {\r\n        \"Id\": \"00000000-0000-0000-0000-000000000000\",\r\n        \"WorkerId\": \"00000000-0000-0000-0000-000000000000\",\r\n        \"NonExpiringCertification\": true,\r\n     }","operationId":"Certifications_Patch","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"certification","in":"body","description":"Patched certification details","required":true,"schema":{"$ref":"#/definitions/PatchCertificationViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/certifications/photo/{certificationId}":{"get":{"tags":["Certifications"],"summary":"Get Primary Certification Image by ID.","operationId":"Certifications_GetPhoto","consumes":[],"produces":["image/jpeg"],"parameters":[{"name":"certificationId","in":"path","description":"Certification Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"put":{"tags":["Certifications"],"summary":"Set Primary Certification Image by ID.","operationId":"Certifications_SetPhoto","consumes":["multipart/form-data"],"produces":["application/json"],"parameters":[{"name":"certificationId","in":"path","description":"Certification Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"},{"name":"photo","in":"formData","description":"Upload File","required":true,"type":"file"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/certifications/attachment/{attachmentId}":{"get":{"tags":["Certifications"],"summary":"Get Attachment by Id","operationId":"Certifications_GetAttachment","consumes":[],"produces":["image/jpeg","image/png","application/pdf"],"parameters":[{"name":"attachmentId","in":"path","description":"Attachment Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/certifications/attachment/{certificationId}":{"put":{"tags":["Certifications"],"summary":"Set Attachment Certification by ID.","operationId":"Certifications_SetAttachment","consumes":["multipart/form-data"],"produces":["application/json"],"parameters":[{"name":"certificationId","in":"path","description":"Certification Id","required":true,"type":"string","format":"uuid"},{"name":"type","in":"query","required":true,"type":"string","enum":["Pdf","Image"]},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"},{"name":"attachment","in":"formData","description":"Upload File","required":true,"type":"file"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/certifications/attachment":{"delete":{"tags":["Certifications"],"summary":"Delete Attachment Certification by ID.","operationId":"Certifications_DeleteAttachment","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"deleteCertificationAttachments","in":"body","required":true,"schema":{"$ref":"#/definitions/DeleteCertificationAttachments"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/certifications/archive":{"put":{"tags":["Certifications"],"summary":"Archive a Certification.","operationId":"Certifications_Archive","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"With certificationId and workerId","required":true,"schema":{"$ref":"#/definitions/ArchiveUnArchiveCertification"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/certifications/unarchive":{"put":{"tags":["Certifications"],"summary":"UnArchive a Certification.","operationId":"Certifications_Unarchive","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"With certificationId and workerId","required":true,"schema":{"$ref":"#/definitions/ArchiveUnArchiveCertification"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/certificationtypes/{certificationTypeId}":{"get":{"tags":["CertificationTypes"],"summary":"Fetch a certification type by id.","operationId":"CertificationTypes_Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"certificationTypeId","in":"path","description":"Certification type Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CertificationTypeViewModel"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/certificationtypes":{"get":{"tags":["CertificationTypes"],"summary":"Search certification types using the specified criteria.","operationId":"CertificationTypes_GetAll","consumes":[],"produces":["application/json"],"parameters":[{"name":"name","in":"query","description":"Search for certification types with the specified name","required":false,"type":"string"},{"name":"isdeleted","in":"query","description":"If set to \"true\", the deleted certification types will be returned","required":false,"type":"boolean"},{"name":"page","in":"query","description":"The page number to fetch. The number of rows from the top of the result-set that will be skipped is calculated as follows: rows to skip = page * count","required":false,"type":"integer","format":"int32"},{"name":"count","in":"query","description":"The number of rows to returns. This parameter is 30 rows by default and the max value allowed is 100 rows per page","required":false,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/CertificationTypeViewModel"}}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"put":{"tags":["CertificationTypes"],"summary":"Update an existing certification type.","operationId":"CertificationTypes_Put","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"certificationType","in":"body","description":"Updated certification type details","required":true,"schema":{"$ref":"#/definitions/EditCertificationTypeViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"post":{"tags":["CertificationTypes"],"summary":"Create a new certification type.","operationId":"CertificationTypes_Post","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"certificationType","in":"body","description":"New certification type details","required":true,"schema":{"$ref":"#/definitions/CreateCertificationTypeViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"delete":{"tags":["CertificationTypes"],"summary":"Delete the specified certification type.","operationId":"CertificationTypes_Delete","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"certificationType","in":"body","description":"Certification type to delete","required":true,"schema":{"$ref":"#/definitions/DeleteCertificationTypeViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/companies":{"get":{"tags":["Companies"],"summary":"Get all company.","operationId":"Companies_GetAll","consumes":[],"produces":["application/json"],"parameters":[{"name":"name","in":"query","description":"Search for company types with the specified name","required":false,"type":"string"},{"name":"isActive","in":"query","description":"If set to \"true\" only active company will return","required":false,"type":"boolean"},{"name":"companyTypeId","in":"query","description":"Search for company type id","required":false,"type":"string","format":"uuid"},{"name":"companyTypeName","in":"query","description":"Search for company types with the specified name","required":false,"type":"string"},{"name":"page","in":"query","description":"The page number to fetch. The number of rows from the top of the result-set that will be skipped is calculated as follows: rows to skip = page * count","required":false,"type":"integer","format":"int32"},{"name":"count","in":"query","description":"The number of rows to returns. This parameter is 30 rows by default and the max value allowed is 100 rows per page","required":false,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/CompanyViewModel"}}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"post":{"tags":["Companies"],"summary":"Create a new company.","operationId":"Companies_Post","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"company","in":"body","description":"New company details","required":true,"schema":{"$ref":"#/definitions/CreateCompanyViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/companies/{companyId}":{"get":{"tags":["Companies"],"summary":"Get company by id.","operationId":"Companies_Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"companyId","in":"path","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CompanyViewModel"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/companies/details/{companyId}":{"get":{"tags":["Companies"],"summary":"Get company Details by id.","operationId":"Companies_GetDetails","consumes":[],"produces":["application/json"],"parameters":[{"name":"companyId","in":"path","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CompanyDetailsViewModel"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/companies/details":{"patch":{"tags":["Companies"],"summary":"Update CompanyDetails","operationId":"Companies_AssignLocation","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"A model containing the company details to update","required":true,"schema":{"$ref":"#/definitions/CompanyDetailsViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/companies/locations/assign":{"patch":{"tags":["Companies"],"summary":"Assign an Location to a New External Company","operationId":"Companies_AssignLocation","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/AssignLocationToContractorViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/companies/locations/remove":{"patch":{"tags":["Companies"],"summary":"Remove an Location to a New External Company","operationId":"Companies_RemoveLocation","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/RemoveLocationToContractorViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/companies/activate":{"patch":{"tags":["Companies"],"summary":"Mark External Company as Active","operationId":"Companies_Activate","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"A model containing the company id","required":true,"schema":{"$ref":"#/definitions/ActivateOrInactiveCompanyViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/companies/deactivate":{"patch":{"tags":["Companies"],"summary":"Mark External Company as Inactive","operationId":"Companies_InActivate","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"A model containing the company id","required":true,"schema":{"$ref":"#/definitions/ActivateOrInactiveCompanyViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/companies/assignCompanyType":{"patch":{"tags":["Companies"],"summary":"Assign a New Company Type to an External Company","operationId":"Companies_InActivate","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"A model containing the company id","required":true,"schema":{"$ref":"#/definitions/AssignCompanyTypeViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/companies/rename":{"patch":{"tags":["Companies"],"summary":"Update External Company Name","operationId":"Companies_Rename","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"A model containing the company id","required":true,"schema":{"$ref":"#/definitions/RenameCompanyViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/companytypes":{"get":{"tags":["CompanyTypes"],"summary":"Search company types using the specified criteria.","operationId":"CompanyTypes_GetAll","consumes":[],"produces":["application/json"],"parameters":[{"name":"name","in":"query","description":"Search for company types with the specified name","required":false,"type":"string"},{"name":"isDeleted","in":"query","description":"If set to \"true\", the deleted company types will be returned","required":false,"type":"boolean"},{"name":"page","in":"query","description":"The page number to fetch. The number of rows from the top of the result-set that will be skipped is calculated as follows: rows to skip = page * count","required":false,"type":"integer","format":"int32"},{"name":"count","in":"query","description":"The number of rows to returns. This parameter is 30 rows by default and the max value allowed is 100 rows per page","required":false,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/CompanyTypeViewModel"}}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"put":{"tags":["CompanyTypes"],"summary":"Update a company type.","operationId":"CompanyTypes_Put","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"companyType","in":"body","description":"Company type details","required":true,"schema":{"$ref":"#/definitions/PutCompanyTypeViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"post":{"tags":["CompanyTypes"],"summary":"Create a new company type.","operationId":"CompanyTypes_Post","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"companyType","in":"body","description":"New company type details","required":true,"schema":{"$ref":"#/definitions/PostCompanyTypeViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"delete":{"tags":["CompanyTypes"],"summary":"Delete a company type.","operationId":"CompanyTypes_Delete","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"companyType","in":"body","required":true,"schema":{"$ref":"#/definitions/DeleteCompanyTypeViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"412":{"description":"Company Type Still in Use","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/companytypes/{companyTypeId}":{"get":{"tags":["CompanyTypes"],"summary":"Get company type by id.","operationId":"CompanyTypes_Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"companyTypeId","in":"path","description":"Company type Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CompanyTypeViewModel"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/equipments/{equipmentId}":{"get":{"tags":["Equipments"],"summary":"Fetch a equipment by id.","operationId":"Equipments_Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"equipmentId","in":"path","description":"Equipment Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EquipmentViewModel"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/equipments/details/{equipmentId}":{"get":{"tags":["Equipments"],"summary":"Get Equipments Details by id.","operationId":"Equipments_GetDetails","consumes":[],"produces":["application/json"],"parameters":[{"name":"equipmentId","in":"path","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EquipmentDetailsViewModel"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/equipments":{"get":{"tags":["Equipments"],"summary":"Get all Equipments.","operationId":"Equipments_GetAll","consumes":[],"produces":["application/json"],"parameters":[{"name":"name","in":"query","description":"Search for equipments with the specified name","required":false,"type":"string"},{"name":"isActive","in":"query","description":"If set to \"true\" only active equipment will return","required":false,"type":"boolean"},{"name":"equipmentTypeId","in":"query","description":"Search for equipment type id","required":false,"type":"string","format":"uuid"},{"name":"equipmentTypeName","in":"query","description":"Search for equipment types with the specified name","required":false,"type":"string"},{"name":"page","in":"query","description":"The page number to fetch. The number of rows from the top of the result-set that will be skipped is calculated as follows: rows to skip = page * count","required":false,"type":"integer","format":"int32"},{"name":"count","in":"query","description":"The number of rows to returns. This parameter is 30 rows by default and the max value allowed is 100 rows per page","required":false,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/EquipmentViewModel"}}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"put":{"tags":["Equipments"],"summary":"Update Equipment details","operationId":"Equipments_Update","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"equipment","in":"body","description":"equipment details","required":true,"schema":{"$ref":"#/definitions/UpdateEquipmentViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"post":{"tags":["Equipments"],"summary":"Create a new Equipment.","operationId":"Equipments_Post","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"equipment","in":"body","description":"New equipment details","required":true,"schema":{"$ref":"#/definitions/CreateEquipmentViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/equipments/details":{"patch":{"tags":["Equipments"],"summary":"Update Equipment Details","operationId":"Equipments_AssignLocation","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"A model containing the equipment details to update","required":true,"schema":{"$ref":"#/definitions/EquipmentDetailsViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/equipments/locations/assign":{"patch":{"tags":["Equipments"],"summary":"Assign an Location to a Equipment","operationId":"Equipments_AssignLocation","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/AssignLocationToEquipmentViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/equipments/activate":{"post":{"tags":["Equipments"],"summary":"Mark Equipment as Active","operationId":"Equipments_Activate","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"A model containing the equipment id","required":true,"schema":{"$ref":"#/definitions/ActivateOrInactiveEquipmentViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/equipments/deactivate":{"delete":{"tags":["Equipments"],"summary":"Mark Equipment as Inactive","operationId":"Equipments_InActivate","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"A model containing the equipment id","required":true,"schema":{"$ref":"#/definitions/ActivateOrInactiveEquipmentViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/equipments/locations/remove":{"patch":{"tags":["Equipments"],"summary":"Remove an Location from a Equipment","operationId":"Equipments_RemoveLocation","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/RemoveLocationToEquipmentViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/equipments/workers/assign":{"patch":{"tags":["Equipments"],"summary":"Assign an Worker to a Equipment","operationId":"Equipments_AssignWorker","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/AssignWorkerToEquipmentViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/equipments/workers/remove":{"patch":{"tags":["Equipments"],"summary":"Remove workers from a Equipment","operationId":"Equipments_RemoveWorker","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/RemoveWorkerToEquipmentViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/equipments/changeType":{"put":{"tags":["Equipments"],"summary":"Change Type Of Equipment","operationId":"Equipments_ChangeType","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"A model containing the Equipment Id and Equipment Type Id","required":true,"schema":{"$ref":"#/definitions/ChangeTypeEquipmentViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/equipmentTypes/{equipmentTypeId}":{"get":{"tags":["EquipmentTypes"],"summary":"Fetch a equipment type by id.","operationId":"EquipmentTypes_Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"equipmentTypeId","in":"path","description":"Equipment type Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EquipmentTypeViewModel"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/equipmentTypes":{"get":{"tags":["EquipmentTypes"],"summary":"Search equipment types using the specified criteria.","operationId":"EquipmentTypes_GetAll","consumes":[],"produces":["application/json"],"parameters":[{"name":"name","in":"query","description":"Search for equipment types with the specified name","required":false,"type":"string"},{"name":"isActive","in":"query","required":false,"type":"boolean"},{"name":"page","in":"query","description":"The page number to fetch. The number of rows from the top of the result-set that will be skipped is calculated as follows: rows to skip = page * count","required":false,"type":"integer","format":"int32"},{"name":"count","in":"query","description":"The number of rows to returns. This parameter is 30 rows by default and the max value allowed is 100 rows per page","required":false,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/EquipmentTypeViewModel"}}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"put":{"tags":["EquipmentTypes"],"summary":"Update a equipment type.","operationId":"EquipmentTypes_Put","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"equipmentType","in":"body","description":"Equipment type details","required":true,"schema":{"$ref":"#/definitions/PutEquipmentTypeViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"post":{"tags":["EquipmentTypes"],"summary":"Create a new equipment type.","operationId":"EquipmentTypes_Post","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"equipmentType","in":"body","description":"New equipment type details","required":true,"schema":{"$ref":"#/definitions/PostEquipmentTypeViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"delete":{"tags":["EquipmentTypes"],"summary":"Delete a equipment type.","operationId":"EquipmentTypes_Delete","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"equipmentType","in":"body","description":"Id of equipment type to delete","required":true,"schema":{"$ref":"#/definitions/DeleteEquipmentTypeViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"412":{"description":"Company Type Still in Use","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/export/pdf/company/{companyId}/form/{formId}":{"get":{"tags":["Export"],"summary":"Get pdf by form id.","operationId":"Export_Get","consumes":[],"produces":["application/pdf"],"parameters":[{"name":"formId","in":"path","description":"Form Id","required":true,"type":"string","format":"uuid"},{"name":"companyId","in":"path","description":"Company Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/forms/{formId}":{"get":{"tags":["Forms"],"summary":"Fetch form by id.","operationId":"Forms_Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"formId","in":"path","description":"Form Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/FormViewModel"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/forms/content/{formId}":{"get":{"tags":["Forms"],"summary":"Get the content of a particular form.","operationId":"Forms_GetContent","consumes":[],"produces":["application/json"],"parameters":[{"name":"formId","in":"path","description":"Form Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Content"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/forms":{"get":{"tags":["Forms"],"summary":"Search forms using the specified criteria.","operationId":"Forms_GetAll","consumes":[],"produces":["application/json"],"parameters":[{"name":"formTypeId","in":"query","description":"Search forms of a specific form type id","required":false,"type":"string","format":"uuid"},{"name":"locationId","in":"query","description":"Search forms on a specific location id","required":false,"type":"string","format":"uuid"},{"name":"signedBy","in":"query","description":"Search forms signed by the specified employee id","required":false,"type":"string","format":"uuid"},{"name":"signedSince","in":"query","description":"Search forms signed after the specified utc datetime","required":false,"type":"string","format":"date-time"},{"name":"submittedSince","in":"query","description":"Search forms submitted after the specified utc datetime","required":false,"type":"string","format":"date-time"},{"name":"label","in":"query","description":"Search forms with the specified label","required":false,"type":"string"},{"name":"formType","in":"query","description":"Search forms of a specific type, the possible values are: form, followup or resource","required":false,"type":"string"},{"name":"sortBy","in":"query","description":"Sort the result by a specific column, the supported values are: signedOn, submittedon. By default, the result is sorted by id this parameter is missing","required":false,"type":"string"},{"name":"page","in":"query","description":"The page number to fetch. The number of rows from the top of the result-set that will be skipped is calculated as follows: rows to skip = page * count","required":false,"type":"integer","format":"int32"},{"name":"count","in":"query","description":"The number of rows to returns. This parameter is 30 rows by default and the max value allowed is 100 rows per page","required":false,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/FormViewModel"}}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/formtypes":{"get":{"tags":["FormTypes"],"summary":"Search form types using the specified criteria.","operationId":"FormTypes_GetAll","consumes":[],"produces":["application/json"],"parameters":[{"name":"locationId","in":"query","description":"Search form types by location id","required":false,"type":"string","format":"uuid"},{"name":"type","in":"query","description":"Search form types by type, supported values are: form, followup and resource","required":false,"type":"string"},{"name":"name","in":"query","description":"Search form types by name","required":false,"type":"string"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/FormTypeViewModel"}}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/formtypes/{formTypeId}":{"get":{"tags":["FormTypes"],"summary":"Fetch form type by id.","operationId":"FormTypes_Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"formTypeId","in":"path","description":"Form type Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/FormTypeViewModel"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/formtypes/content/{formTypeId}":{"get":{"tags":["FormTypes"],"summary":"Get the content of a particular form type.","operationId":"FormTypes_GetContent","consumes":[],"produces":["application/json"],"parameters":[{"name":"formTypeId","in":"path","description":"Form type Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Content"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/incidentFolderAttachments/{folderId}":{"get":{"tags":["IncidentFolderAttachments"],"summary":"Get All Attachments From a Incident Folder","operationId":"IncidentFolderAttachments_Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"folderId","in":"path","description":"","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ProcessAttachmentViewModel"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/incidentFolderAttachments/content/{attachmentId}":{"get":{"tags":["IncidentFolderAttachments"],"summary":"Get Content of Attachment by Id","operationId":"IncidentFolderAttachments_GetAttachment","consumes":[],"produces":["application/pdf"],"parameters":[{"name":"attachmentId","in":"path","description":"Attachment Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/incidentFolderAttachments":{"post":{"tags":["IncidentFolderAttachments"],"summary":"Set Attachment to Incident Folder.","operationId":"IncidentFolderAttachments_SetAttachment","consumes":["multipart/form-data"],"produces":["application/json"],"parameters":[{"name":"folderId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"},{"name":"attachment","in":"formData","description":"Upload File","required":true,"type":"file"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"delete":{"tags":["IncidentFolderAttachments"],"summary":"Delete the Attachment","operationId":"IncidentFolderAttachments_Delete","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"A model containing the details of attachment","required":true,"schema":{"$ref":"#/definitions/DeleteProcessAttachmentViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"patch":{"tags":["IncidentFolderAttachments"],"summary":"Update the Attachment Information.","operationId":"IncidentFolderAttachments_Modify","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"request","in":"body","description":"A model containing the details of attachment","required":true,"schema":{"$ref":"#/definitions/ModifyProcessAttachmentViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/incidentFolderAttachments/pdfSummary":{"post":{"tags":["IncidentFolderAttachments"],"summary":"Set Pdf Attachment Summary to Incident Folder.","operationId":"IncidentFolderAttachments_SetPdfAttachmentSummary","consumes":["multipart/form-data"],"produces":["application/json"],"parameters":[{"name":"folderId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"locationId","in":"query","required":true,"type":"string","format":"uuid"},{"name":"label","in":"query","required":true,"type":"string"},{"name":"status","in":"query","required":false,"type":"string"},{"name":"comment","in":"query","required":false,"type":"string"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"},{"name":"attachment","in":"formData","description":"Upload File","required":true,"type":"file"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/incidentfolders/{id}":{"get":{"tags":["IncidentFolders"],"summary":"Fetch an Incident Folder by ID","operationId":"IncidentFolders_Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Folder Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ProcessFolderViewModelV2"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/incidentfolders":{"get":{"tags":["IncidentFolders"],"summary":"Search an Incident Folder using specified criteria","operationId":"IncidentFolders_GetAll","consumes":[],"produces":["application/json"],"parameters":[{"name":"folderName","in":"query","description":"Folder Name","required":false,"type":"string"},{"name":"folderId","in":"query","description":"Folder Id","required":false,"type":"string","format":"uuid"},{"name":"folderTypeName","in":"query","description":"Folder Type Name","required":false,"type":"string"},{"name":"folderTypeId","in":"query","description":"Folder Type Id","required":false,"type":"string","format":"uuid"},{"name":"page","in":"query","description":"0 - N","required":false,"type":"integer","format":"int32"},{"name":"count","in":"query","description":"1 - 100","required":false,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ProcessFolderViewModelV2"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"put":{"tags":["IncidentFolders"],"summary":"Edit an existing Incident Folder","operationId":"IncidentFolders_UpdateName","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"folder","in":"body","description":"Folder update model","required":true,"schema":{"$ref":"#/definitions/UpdateProcessFolderViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"post":{"tags":["IncidentFolders"],"summary":"Create a new Incident Folder","operationId":"IncidentFolders_Post","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"folderModel","in":"body","required":true,"schema":{"$ref":"#/definitions/CreateProcessFolderViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/incidentfolders/{id}/statuses":{"get":{"tags":["IncidentFolders"],"summary":"Fetch Statuses by Incident Folder ID","operationId":"IncidentFolders_GetProcessRunCheckpoints","consumes":[],"produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"Incident Folder ID","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ProcessRunCheckPointViewModel"}}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/incidentfolders/createstatus":{"post":{"tags":["IncidentFolders"],"summary":"Create a Folder Status","operationId":"IncidentFolders_CreateStatus","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"model","in":"body","description":"Create status model","required":true,"schema":{"$ref":"#/definitions/CreateFolderStatusViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/incidentfoldertypes/{folderTypeId}":{"get":{"tags":["IncidentFolderTypes"],"summary":"Fetch Incident Folder Type by ID.","operationId":"IncidentFolderTypes_Get","consumes":[],"produces":["application/json"],"parameters":[{"name":"folderTypeId","in":"path","description":"Incident Folder Type Id","required":true,"type":"string","format":"uuid"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"Returns the incident run definition.","schema":{"$ref":"#/definitions/ProcessFolderTypeViewModel"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/incidentfoldertypes":{"get":{"tags":["IncidentFolderTypes"],"summary":"Search an Incident Folder Type by Specified Criteria","operationId":"IncidentFolderTypes_GetAll","consumes":[],"produces":["application/json"],"parameters":[{"name":"folderTypeName","in":"query","description":"Incident Folder Type Name","required":false,"type":"string"},{"name":"folderTypeSummary","in":"query","description":"Incident Folder Type Summary","required":false,"type":"string"},{"name":"isActive","in":"query","description":"Incident Folder Type Is Active?","required":false,"type":"boolean"},{"name":"page","in":"query","description":"Page number","required":false,"type":"integer","format":"int32"},{"name":"count","in":"query","description":"Count per page","required":false,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ProcessFolderTypeViewModel"}}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"post":{"tags":["IncidentFolderTypes"],"summary":"Create a new Incident Folder Type","operationId":"IncidentFolderTypes_Post","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"model","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/CreateProcessFolderTypeViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CreateEntityResultModel"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}},"patch":{"tags":["IncidentFolderTypes"],"summary":"Modify an Incident Folder Type Name and/or Summary","operationId":"IncidentFolderTypes_Patch","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"model","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/ProcessFolderTypeNameUpdateViewModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/incidentfoldertypes/SetTypeActive":{"patch":{"tags":["IncidentFolderTypes"],"summary":"Activate an Incident Folder Type","operationId":"IncidentFolderTypes_SetTypeActive","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"model","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/ActivateOrInActivateProcessTypeRequestModel"}},{"name":"Authorization","in":"header","description":"Authorization token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HttpGatewayResult"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"429":{"description":"TooManyRequests","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}},"500":{"description":"InternalServerError","schema":{"$ref":"#/definitions/HttpGatewayErrorResult"}}}}},"/api/v1/incidentfoldertypes/SetTypeInactive":{"patch":{"tags":["IncidentFolderTypes"],"summary":"Deactivate Incident Folder Type","operationId":"IncidentFolderTypes_SetTypeInactive","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"model","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/ActivateOrInActivateProcessTypeReques
[...]
